Bug 147924 - thunderbird seems to be not aware of some of its libraries
thunderbird seems to be not aware of some of its libraries
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-12 19:22 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-09 08:08:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-02-12 19:22:17 EST
Description of problem:

/usr/lib64/thunderbird-1.0/thunderbird-bin
/usr/lib64/thunderbird-1.0/TestGtkEmbed
/usr/lib64/thunderbird-1.0/xpcshell
/usr/lib64/thunderbird-1.0/regchrome

seem to be unaware of
 
libgtkembedmoz.so
libmozjs.so
libxpcom.so

which in fact reside in /usr/%{_lib}/thunderbird-1.0/

mozilla and firefox, each apparently using private versions of
the same libraries, set LD_LIBRARY_PATH in their startup scripts
but I fail to see anything similar in /usr/bin/thunderbird.
Do I miss something tricky?

Version-Release number of selected component (if applicable):
thunderbird-1.0-2
Comment 1 Matěj Cepl 2007-05-09 08:08:33 EDT
Not true any more -- neither firefox, nor thunderbird (haven't tried seamonkey)
uses LD_LIBRARY_PATH anymore. And both firefox and thunderbird seem to have at
least reasonable part of the above-mentioned libraries directly linked.

Note You need to log in before you can comment on or make changes to this bug.